package gov.va.med.esr.common.model.ee;

// ----------------------------------------------------------------------------
// Import java classes
// ----------------------------------------------------------------------------
import gov.va.med.esr.common.model.lookup.EligibilityDocType;
import gov.va.med.fw.model.AbstractKeyedEntity;

/**
 * @author Commons Team
 * @author DNS   MANSOG
 * @version 1.0
 */
public class VoaFileAttachmentDetail extends AbstractKeyedEntity {


	/**
	 * 
	 */
	private static final long serialVersionUID = -9181352550740099727L;

	
	private EligibilityDocType eligibilityDocType = null;
	private VoaFileAttachment voaFileAttachment = null;
	
	public EligibilityDocType getEligibilityDocType() {
		return eligibilityDocType;
	}

	public void setEligibilityDocType(EligibilityDocType eligibilityDocType) {
		this.eligibilityDocType = eligibilityDocType;
	}

	public VoaFileAttachment getVoaFileAttachment() {
		return voaFileAttachment;
	}

	public void setVoaFileAttachment(VoaFileAttachment voaFileAttachment) {
	    validateOwner(this.voaFileAttachment, voaFileAttachment);
		this.voaFileAttachment = voaFileAttachment;
	}
	
	

	
}